unit menu_gui;

// PLEASE DO NOT REMOVE THE {*} COMMENTS, YOU CAN LOOSE YOU SOURCE!

interface

// Store here uses or proc definition
{INTERFACE}
uses zglGui;
{END}

var
  MenuForm: zglTForm;
  NonameLabel2: zglTLabel;
  NonameButton3: zglTButton;
  NonameButton4: zglTButton;
  NonameButton5: zglTButton;
  aboutLabel: zglTLabel;
  NonameLabel43: zglTLabel;
  BestScoreLabel: zglTLabel;
  SelLevForm: zglTForm;
  NonameLabel7: zglTLabel;
  Lev1Btn: zglTButton;
  Lev2Btn: zglTButton;
  Lev3Btn: zglTButton;
  NonameButton41: zglTButton;
  TutorialForm1: zglTForm;
  NonameLabel14: zglTLabel;
  NonameLabel15: zglTLabel;
  NonameImage16: zglTImage;
  NonameLabel17: zglTLabel;
  NonameImage18: zglTImage;
  NonameLabel19: zglTLabel;
  NonameImage20: zglTImage;
  NonameLabel21: zglTLabel;
  NonameLabel22: zglTLabel;
  NonameImage23: zglTImage;
  NonameLabel24: zglTLabel;
  NonameImage25: zglTImage;
  NonameLabel26: zglTLabel;
  NextBtn1: zglTButton;
  TutorialForm2: zglTForm;
  NonameLabel28: zglTLabel;
  NonameImage29: zglTImage;
  NonameLabel30: zglTLabel;
  NonameImage32: zglTImage;
  NonameLabel33: zglTLabel;
  NonameImage34: zglTImage;
  NonameLabel35: zglTLabel;
  NonameImage36: zglTImage;
  NonameLabel37: zglTLabel;
  NonameImage38: zglTImage;
  NonameLabel39: zglTLabel;
  NonameImage40: zglTImage;
  NonameLabel41: zglTLabel;
  NonameButton42: zglTButton;
  Font1548: zglTFontContainer;

procedure InitGui(gui: zglTGui);

type
  zglTGuiEventHandler = class
    class procedure PlayClick(Sender: zglTGUIObject; X, Y: integer);
    class procedure TutorialClick(Sender: zglTGUIObject; X, Y: integer);
    class procedure ExitClick(Sender: zglTGUIObject; X, Y: integer);
    class procedure SelLev1(Sender: zglTGUIObject; X, Y: integer);
    class procedure SelLev2(Sender: zglTGUIObject; X, Y: integer);
    class procedure SelLev3(Sender: zglTGUIObject; X, Y: integer);
    class procedure SelLev4(Sender: zglTGUIObject; X, Y: integer);
    class procedure NextBtn1Click(Sender: zglTGUIObject; X, Y: integer);
    class procedure CloseBtn1Click(Sender: zglTGUIObject; X, Y: integer);
    class procedure selClose(Sender: zglTGUIObject; X, Y: integer);
  end;

{WORKINGDIR=G:\code\qoodle_SVN\cubiz\bin}

implementation

// Store here recursive uses or proc implementation
{IMPLEMENTATION}
  uses zglHeader,core_unit,sceneUnit,var_const,levelUnit,menu_scene;
{END}

class procedure zglTGuiEventHandler.PlayClick(Sender: zglTGUIObject; X, Y: integer);
{EVENT PlayClick:zglTMouseEvent}
begin

   SelLevForm.MoveToCenter;
   SelLevForm.Show;

end;
{END}

class procedure zglTGuiEventHandler.TutorialClick(Sender: zglTGUIObject; X, Y: integer);
{EVENT TutorialClick:zglTMouseEvent}
begin
    TutorialForm1.MoveToCenter;
    TutorialForm1.Show;
end;
{END}

class procedure zglTGuiEventHandler.ExitClick(Sender: zglTGUIObject; X, Y: integer);
{EVENT ExitClick:zglTMouseEvent}
begin
  zgl_Exit;
end;
{END}

class procedure zglTGuiEventHandler.SelLev1(Sender: zglTGUIObject; X, Y: integer);
{EVENT SelLev1:zglTMouseEvent}
begin

    GameScene:=TLevelScene.Create('levelScene');
    Game.AddScene(GameScene);
    Game.PlayScene('levelScene');
    TLevelScene(GameScene).LoadLevel(1);
    Game.PauseScene('menuScene');


end;
{END}

class procedure zglTGuiEventHandler.SelLev2(Sender: zglTGUIObject; X, Y: integer);
{EVENT SelLev2:zglTMouseEvent}
begin
    GameScene:=TLevelScene.Create('levelScene');
    Game.AddScene(GameScene);
    Game.PlayScene('levelScene');
    TLevelScene(GameScene).LoadLevel(2);
    Game.PauseScene('menuScene');
end;
{END}

class procedure zglTGuiEventHandler.SelLev3(Sender: zglTGUIObject; X, Y: integer);
{EVENT SelLev3:zglTMouseEvent}
begin
    GameScene:=TLevelScene.Create('levelScene');
    Game.AddScene(GameScene);
    Game.PlayScene('levelScene');
    TLevelScene(GameScene).LoadLevel(3);
    Game.PauseScene('menuScene');
end;
{END}

class procedure zglTGuiEventHandler.SelLev4(Sender: zglTGUIObject; X, Y: integer);
{EVENT SelLev4:zglTMouseEvent}
begin

end;
{END}

class procedure zglTGuiEventHandler.NextBtn1Click(Sender: zglTGUIObject; X, Y: integer);
{EVENT NextBtn1Click:zglTMouseEvent}
begin
    TutorialForm1.Hide;
    TutorialForm2.MoveToCenter;
    TutorialForm2.Show;
end;
{END}

class procedure zglTGuiEventHandler.CloseBtn1Click(Sender: zglTGUIObject; X, Y: integer);
{EVENT CloseBtn1Click:zglTMouseEvent}
begin
  TutorialForm2.Hide;
end;
{END}

class procedure zglTGuiEventHandler.selClose(Sender: zglTGUIObject; X, Y: integer);
{EVENT selClose:zglTMouseEvent}
begin
   selLevForm.Hide;
end;
{END}

procedure InitGui(gui: zglTGui);
begin
  {INIT}
  Font1548 := zglTFontContainer.CreateDefaults(Gui);
  with Font1548 do begin
    Active.Size := 2.00; 
    Disabled.Size := 2.00; 
    FileName := 'data\fonts\Main.zfi'; 
    Normal.Size := 2.00; 
  end;
  MenuForm := zglTForm.CreateDefaults(Gui); {ROOT}
  with MenuForm do begin
    Caption := 'Cubiz.PixelWars'; 
    CaptionAlign := faMiddleCenter;
    DisplayEffect := deZoomIn;
    Name := 'MenuForm'; 
    Rect.H := 400.00; 
    Rect.W := 400.00; 
    Rect.X := 145.00; 
    Rect.Y := 161.00; 
  end;
  Gui.Items.Add(MenuForm);
    NonameLabel2 := zglTLabel.CreateDefaults(Gui);
    with NonameLabel2 do begin
      Caption := 'Cubiz.PixelWars'; 
      Font := Font1548; 
      Rect.H := 72.00; 
      Rect.W := 236.00; 
      Rect.X := 81.00; 
      Rect.Y := -10.00; 
    end;
    MenuForm.Items.Add(NonameLabel2);
    NonameButton3 := zglTButton.CreateDefaults(Gui);
    with NonameButton3 do begin
      Caption := 'Play'; 
      Font := Font1548; 
      OnClick := zglTGuiEventHandler.PlayClick; 
      Rect.H := 79.00; 
      Rect.W := 181.00; 
      Rect.X := 107.00; 
      Rect.Y := 72.00; 
    end;
    MenuForm.Items.Add(NonameButton3);
    NonameButton4 := zglTButton.CreateDefaults(Gui);
    with NonameButton4 do begin
      Caption := 'Tutorial'; 
      Font := Font1548; 
      OnClick := zglTGuiEventHandler.TutorialClick; 
      Rect.H := 78.00; 
      Rect.W := 179.00; 
      Rect.X := 107.00; 
      Rect.Y := 161.00; 
    end;
    MenuForm.Items.Add(NonameButton4);
    NonameButton5 := zglTButton.CreateDefaults(Gui);
    with NonameButton5 do begin
      Caption := 'Exit'; 
      Font := Font1548; 
      OnClick := zglTGuiEventHandler.ExitClick; 
      Rect.H := 78.00; 
      Rect.W := 179.00; 
      Rect.X := 107.00; 
      Rect.Y := 248.00; 
    end;
    MenuForm.Items.Add(NonameButton5);
    aboutLabel := zglTLabel.CreateDefaults(Gui);
    with aboutLabel do begin
      Caption := 'Coding,Art,Sfx by Vladislav Nokonov aka pacanura96 Music by frankmunoz '; 
      Name := 'aboutLabel'; 
      Rect.H := 41.00; 
      Rect.W := 367.00; 
      Rect.X := 11.00; 
      Rect.Y := 330.00; 
    end;
    MenuForm.Items.Add(aboutLabel);
    NonameLabel43 := zglTLabel.CreateDefaults(Gui);
    with NonameLabel43 do begin
      Caption := 'Best score is:'; 
      Rect.H := 23.00; 
      Rect.W := 109.00; 
      Rect.X := 117.00; 
      Rect.Y := 50.00; 
    end;
    MenuForm.Items.Add(NonameLabel43);
    BestScoreLabel := zglTLabel.CreateDefaults(Gui);
    with BestScoreLabel do begin
      Caption := '0'; 
      Name := 'BestScoreLabel'; 
      Rect.H := 27.00; 
      Rect.W := 42.00; 
      Rect.X := 222.00; 
      Rect.Y := 48.00; 
    end;
    MenuForm.Items.Add(BestScoreLabel);
  SelLevForm := zglTForm.CreateDefaults(Gui); {ROOT}
  with SelLevForm do begin
    CanMove := True;
    Caption := 'Select level'; 
    CaptionAlign := faMiddleCenter;
    DisplayEffect := deZoomIn;
    Name := 'SelLevForm'; 
    Rect.H := 147.00; 
    Rect.W := 276.00; 
    Rect.X := 239.00; 
    Rect.Y := 188.00; 
    Visible := False;
  end;
  Gui.Items.Add(SelLevForm);
    NonameLabel7 := zglTLabel.CreateDefaults(Gui);
    with NonameLabel7 do begin
      Caption := 'Select level'; 
      Font := Font1548; 
      Name := 'NonameLabel7'; 
      Rect.H := 43.00; 
      Rect.W := 171.00; 
      Rect.X := 49.00; 
      Rect.Y := 8.00; 
    end;
    SelLevForm.Items.Add(NonameLabel7);
    Lev1Btn := zglTButton.CreateDefaults(Gui);
    with Lev1Btn do begin
      Caption := '1'; 
      Name := 'Lev1Btn'; 
      OnClick := zglTGuiEventHandler.SelLev1; 
      Rect.H := 32.00; 
      Rect.W := 32.00; 
      Rect.X := 53.00; 
      Rect.Y := 63.00; 
    end;
    SelLevForm.Items.Add(Lev1Btn);
    Lev2Btn := zglTButton.CreateDefaults(Gui);
    with Lev2Btn do begin
      Caption := '2'; 
      Name := 'Lev2Btn'; 
      OnClick := zglTGuiEventHandler.SelLev2; 
      Rect.H := 32.00; 
      Rect.W := 32.00; 
      Rect.X := 120.00; 
      Rect.Y := 61.00; 
    end;
    SelLevForm.Items.Add(Lev2Btn);
    Lev3Btn := zglTButton.CreateDefaults(Gui);
    with Lev3Btn do begin
      Caption := '3'; 
      Name := 'Lev3Btn'; 
      OnClick := zglTGuiEventHandler.SelLev3; 
      Rect.H := 32.00; 
      Rect.W := 32.00; 
      Rect.X := 186.00; 
      Rect.Y := 63.00; 
    end;
    SelLevForm.Items.Add(Lev3Btn);
    NonameButton41 := zglTButton.CreateDefaults(Gui);
    with NonameButton41 do begin
      Caption := 'Close'; 
      Name := 'NonameButton41'; 
      OnClick := zglTGuiEventHandler.selClose; 
      Rect.H := 23.00; 
      Rect.W := 133.00; 
      Rect.X := 69.00; 
      Rect.Y := 98.00; 
    end;
    SelLevForm.Items.Add(NonameButton41);
  TutorialForm1 := zglTForm.CreateDefaults(Gui); {ROOT}
  with TutorialForm1 do begin
    Caption := 'Tutorial'; 
    CaptionAlign := faMiddleCenter;
    DisplayEffect := deZoomIn;
    Name := 'TutorialForm1'; 
    Rect.H := 424.00; 
    Rect.W := 404.00; 
    Rect.X := 75.00; 
    Rect.Y := 118.00; 
    Visible := False;
  end;
  Gui.Items.Add(TutorialForm1);
    NonameLabel14 := zglTLabel.CreateDefaults(Gui);
    with NonameLabel14 do begin
      Caption := '1) Use mouse to control units. Right button - selecting and moving units. Left button - Shooting\Healing'; 
      Rect.H := 42.00; 
      Rect.W := 337.00; 
      Rect.X := 26.00; 
      Rect.Y := 7.00; 
    end;
    TutorialForm1.Items.Add(NonameLabel14);
    NonameLabel15 := zglTLabel.CreateDefaults(Gui);
    with NonameLabel15 do begin
      Caption := '2)Kill enemy sentry''''''''s.'; 
      Rect.H := 29.00; 
      Rect.W := 188.00; 
      Rect.X := 106.00; 
      Rect.Y := 55.00; 
    end;
    TutorialForm1.Items.Add(NonameLabel15);
    NonameImage16 := zglTImage.CreateDefaults(Gui);
    with NonameImage16 do begin
      Rect.H := 49.00; 
      Rect.W := 8.00; 
      Rect.X := 47.00; 
      Rect.Y := 69.00; 
      Texture.FileName := 'data\textures\sentry_head.png'; 
      Texture.TexHeight := 49; 
      Texture.TexWidth := 8; 
    end;
    TutorialForm1.Items.Add(NonameImage16);
    NonameLabel17 := zglTLabel.CreateDefaults(Gui);
    with NonameLabel17 do begin
      Caption := '< Normal Sentry. HP:150. Damage:65. Optimal shooting range:700'; 
      Rect.H := 49.00; 
      Rect.W := 295.00; 
      Rect.X := 57.00; 
      Rect.Y := 77.00; 
      Stretch.STR_RIGHT := True;
    end;
    TutorialForm1.Items.Add(NonameLabel17);
    NonameImage18 := zglTImage.CreateDefaults(Gui);
    with NonameImage18 do begin
      Rect.H := 49.00; 
      Rect.W := 8.00; 
      Rect.X := 47.00; 
      Rect.Y := 120.00; 
      Texture.FileName := 'data\textures\sentry_head1.png'; 
      Texture.TexHeight := 49; 
      Texture.TexWidth := 8; 
    end;
    TutorialForm1.Items.Add(NonameImage18);
    NonameLabel19 := zglTLabel.CreateDefaults(Gui);
    with NonameLabel19 do begin
      Caption := '< Heavy Sentry. HP:200. Damage:100. Optimal shooting range:500'; 
      Rect.H := 38.00; 
      Rect.W := 275.00; 
      Rect.X := 74.00; 
      Rect.Y := 136.00; 
    end;
    TutorialForm1.Items.Add(NonameLabel19);
    NonameImage20 := zglTImage.CreateDefaults(Gui);
    with NonameImage20 do begin
      Rect.H := 49.00; 
      Rect.W := 8.00; 
      Rect.X := 48.00; 
      Rect.Y := 171.00; 
      Texture.FileName := 'data\textures\sentry_head2.png'; 
      Texture.TexHeight := 49; 
      Texture.TexWidth := 8; 
    end;
    TutorialForm1.Items.Add(NonameImage20);
    NonameLabel21 := zglTLabel.CreateDefaults(Gui);
    with NonameLabel21 do begin
      Caption := '< Sniper Sentry. HP:100. Damage:150. Optimal shooting range:850'; 
      Rect.H := 43.00; 
      Rect.W := 275.00; 
      Rect.X := 82.00; 
      Rect.Y := 178.00; 
    end;
    TutorialForm1.Items.Add(NonameLabel21);
    NonameLabel22 := zglTLabel.CreateDefaults(Gui);
    with NonameLabel22 do begin
      Caption := '3) Every Your move you can do 2 actions: moving or shooting or healing'; 
      Rect.H := 29.00; 
      Rect.W := 288.00; 
      Rect.X := 61.00; 
      Rect.Y := 233.00; 
    end;
    TutorialForm1.Items.Add(NonameLabel22);
    NonameImage23 := zglTImage.CreateDefaults(Gui);
    with NonameImage23 do begin
      Rect.H := 32.00; 
      Rect.W := 32.00; 
      Rect.X := 40.00; 
      Rect.Y := 273.00; 
      Texture.FileName := 'data\textures\wall_0.png'; 
      Texture.TexHeight := 32; 
      Texture.TexWidth := 32; 
    end;
    TutorialForm1.Items.Add(NonameImage23);
    NonameLabel24 := zglTLabel.CreateDefaults(Gui);
    with NonameLabel24 do begin
      Caption := '<This blocks are solid. Every block is 32x32 in size. Game field is 32x32 in size'; 
      Rect.H := 41.00; 
      Rect.W := 264.00; 
      Rect.X := 77.00; 
      Rect.Y := 267.00; 
    end;
    TutorialForm1.Items.Add(NonameLabel24);
    NonameImage25 := zglTImage.CreateDefaults(Gui);
    with NonameImage25 do begin
      Rect.H := 32.00; 
      Rect.W := 32.00; 
      Rect.X := 41.00; 
      Rect.Y := 313.00; 
      Texture.FileName := 'data\textures\wall_1.png'; 
      Texture.TexHeight := 32; 
      Texture.TexWidth := 32; 
    end;
    TutorialForm1.Items.Add(NonameImage25);
    NonameLabel26 := zglTLabel.CreateDefaults(Gui);
    with NonameLabel26 do begin
      Caption := '<This Blocks are half-solid. your shells can pass through this blocks,enemys have 50% chance to passing through this blocks'; 
      Rect.H := 65.00; 
      Rect.W := 224.00; 
      Rect.X := 93.00; 
      Rect.Y := 309.00; 
    end;
    TutorialForm1.Items.Add(NonameLabel26);
    NextBtn1 := zglTButton.CreateDefaults(Gui);
    with NextBtn1 do begin
      Caption := 'Next'; 
      Name := 'NextBtn1'; 
      OnClick := zglTGuiEventHandler.NextBtn1Click; 
      Rect.H := 30.00; 
      Rect.W := 98.00; 
      Rect.X := 152.00; 
      Rect.Y := 369.00; 
    end;
    TutorialForm1.Items.Add(NextBtn1);
  TutorialForm2 := zglTForm.CreateDefaults(Gui); {ROOT}
  with TutorialForm2 do begin
    Caption := 'Tutorial'; 
    CaptionAlign := faMiddleCenter;
    DisplayEffect := deZoomIn;
    Name := 'TutorialForm2'; 
    Rect.H := 400.00; 
    Rect.W := 400.00; 
    Rect.X := 130.00; 
    Rect.Y := 112.00; 
    Visible := False;
  end;
  Gui.Items.Add(TutorialForm2);
    NonameLabel28 := zglTLabel.CreateDefaults(Gui);
    with NonameLabel28 do begin
      Caption := '4)Press class Icons on left panel to take unit. Then find on the map red areas and place unit on it.'; 
      Name := 'NonameLabel28'; 
      Rect.H := 45.00; 
      Rect.W := 347.00; 
      Rect.X := 17.00; 
      Rect.Y := 7.00; 
    end;
    TutorialForm2.Items.Add(NonameLabel28);
    NonameImage29 := zglTImage.CreateDefaults(Gui);
    with NonameImage29 do begin
      Name := 'NonameImage29'; 
      Rect.H := 32.00; 
      Rect.W := 32.00; 
      Rect.X := 19.00; 
      Rect.Y := 67.00; 
      Texture.FileName := 'data\textures\soldier.png'; 
      Texture.TexHeight := 32; 
      Texture.TexWidth := 32; 
    end;
    TutorialForm2.Items.Add(NonameImage29);
    NonameLabel30 := zglTLabel.CreateDefaults(Gui);
    with NonameLabel30 do begin
      Caption := '< Soldier, can move to near game field nodes. HP:100. Damage:50. Optimal Shooting range:250. Shell curving:5.'; 
      Name := 'NonameLabel30'; 
      Rect.H := 52.00; 
      Rect.W := 300.00; 
      Rect.X := 55.00; 
      Rect.Y := 57.00; 
    end;
    TutorialForm2.Items.Add(NonameLabel30);
    NonameImage32 := zglTImage.CreateDefaults(Gui);
    with NonameImage32 do begin
      Rect.H := 32.00; 
      Rect.W := 32.00; 
      Rect.X := 19.00; 
      Rect.Y := 116.00; 
      Texture.FileName := 'data\textures\rocketman.png'; 
      Texture.TexHeight := 32; 
      Texture.TexWidth := 32; 
    end;
    TutorialForm2.Items.Add(NonameImage32);
    NonameLabel33 := zglTLabel.CreateDefaults(Gui);
    with NonameLabel33 do begin
      Caption := '< RocketMan, can move diagonally. HP:100. Damage:75. Optimal Shooting range:350. Shell curving:7.'; 
      Rect.H := 47.00; 
      Rect.W := 263.00; 
      Rect.X := 65.00; 
      Rect.Y := 108.00; 
    end;
    TutorialForm2.Items.Add(NonameLabel33);
    NonameImage34 := zglTImage.CreateDefaults(Gui);
    with NonameImage34 do begin
      Rect.H := 32.00; 
      Rect.W := 32.00; 
      Rect.X := 20.00; 
      Rect.Y := 165.00; 
      Texture.FileName := 'data\textures\tank.png'; 
      Texture.TexHeight := 32; 
      Texture.TexWidth := 32; 
    end;
    TutorialForm2.Items.Add(NonameImage34);
    NonameLabel35 := zglTLabel.CreateDefaults(Gui);
    with NonameLabel35 do begin
      Caption := '< Tank, can move vertically, horizontally. HP:300. Damage:50. Optimal Shooting range:250. Shell curving:7.'; 
      Rect.H := 58.00; 
      Rect.W := 256.00; 
      Rect.X := 69.00; 
      Rect.Y := 156.00; 
    end;
    TutorialForm2.Items.Add(NonameLabel35);
    NonameImage36 := zglTImage.CreateDefaults(Gui);
    with NonameImage36 do begin
      Rect.H := 32.00; 
      Rect.W := 32.00; 
      Rect.X := 21.00; 
      Rect.Y := 216.00; 
      Texture.FileName := 'data\textures\medic.png'; 
      Texture.TexHeight := 32; 
      Texture.TexWidth := 32; 
    end;
    TutorialForm2.Items.Add(NonameImage36);
    NonameLabel37 := zglTLabel.CreateDefaults(Gui);
    with NonameLabel37 do begin
      Caption := '< Medic, can teleport in near 7x7 area. HP:85. Can heal oter units in heal area, pressing fire button.'; 
      Rect.H := 60.00; 
      Rect.W := 256.00; 
      Rect.X := 65.00; 
      Rect.Y := 205.00; 
    end;
    TutorialForm2.Items.Add(NonameLabel37);
    NonameImage38 := zglTImage.CreateDefaults(Gui);
    with NonameImage38 do begin
      Rect.H := 32.00; 
      Rect.W := 32.00; 
      Rect.X := 23.00; 
      Rect.Y := 265.00; 
      Texture.FileName := 'data\textures\capitan.png'; 
      Texture.TexHeight := 32; 
      Texture.TexWidth := 32; 
    end;
    TutorialForm2.Items.Add(NonameImage38);
    NonameLabel39 := zglTLabel.CreateDefaults(Gui);
    with NonameLabel39 do begin
      Caption := '< Queen, can move diagonaly, vertically, horizontally. HP:115. Damage:60. Optimal Shooting range:400. Shell curving:10.'; 
      Rect.H := 61.00; 
      Rect.W := 237.00; 
      Rect.X := 75.00; 
      Rect.Y := 255.00; 
    end;
    TutorialForm2.Items.Add(NonameLabel39);
    NonameImage40 := zglTImage.CreateDefaults(Gui);
    with NonameImage40 do begin
      Rect.H := 32.00; 
      Rect.W := 32.00; 
      Rect.X := 22.00; 
      Rect.Y := 319.00; 
      Texture.FileName := 'data\textures\sniper.png'; 
      Texture.TexHeight := 32; 
      Texture.TexWidth := 32; 
    end;
    TutorialForm2.Items.Add(NonameImage40);
    NonameLabel41 := zglTLabel.CreateDefaults(Gui);
    with NonameLabel41 do begin
      Caption := '< Sniper, can teleport in near 5x5 area. HP:75. Damage:90. Optimal Shooting range:750. Shell curving:4.'; 
      Rect.H := 61.00; 
      Rect.W := 236.00; 
      Rect.X := 77.00; 
      Rect.Y := 314.00; 
    end;
    TutorialForm2.Items.Add(NonameLabel41);
    NonameButton42 := zglTButton.CreateDefaults(Gui);
    with NonameButton42 do begin
      Caption := 'Close'; 
      OnClick := zglTGuiEventHandler.CloseBtn1Click; 
      Rect.H := 27.00; 
      Rect.W := 75.00; 
      Rect.X := 308.00; 
      Rect.Y := 349.00; 
    end;
    TutorialForm2.Items.Add(NonameButton42);
  {END}
end;

end.
